org.appng.core.domain

## Class PropertyImpl

- java.lang.Object
- - org.appng.api.model.SimpleProperty
  - - org.appng.core.domain.PropertyImpl

- All Implemented Interfaces:
    Serializable, Comparable<Property>, Identifiable<String>, Nameable, Named<String>, Property, Versionable<Date>, Auditable<String>

      @Entity
      public class PropertyImpl
      extends SimpleProperty
      implements Property, Auditable<String>, Comparable<Property>

  A persistent `Property` JPA-`Entity`.
  Author:
    Matthias Müller
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.appng.api.model.Property

      `Property.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyImpl()`
    `PropertyImpl(String name, String value)`
    `PropertyImpl(String name, String value, String defaultValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getActualString()`
    `byte[]` | `getBlob()` If this `Property` contains BLOB data, this data is being returned.
    `String` | `getClob()` If this `Property` contains CLOB data, this data is being returned.
    `String` | `getDefaultString()` Returns the default `String`-value of this `Property`.
    `String` | `getDescription()` Returns the description of this `Property`.
    `String` | `getId()` Returns the id.
    `@NotNull(message="{validation.notNull}") @Size(min=3,max=255,message="{validation.string.min.max}") String` | `getName()` Returns the name of this `Property`, as used in `Properties.getXXX(String)`.
    `Property.Type` | `getType()` Returns the type of this property
    `Date` | `getVersion()` Returns the version.
    `int` | `hashCode()`
    `boolean` | `isMandatory()`

    - ### Methods inherited from class org.appng.api.model.SimpleProperty

      `compareTo, determineType, getBoolean, getChangedValue, getDouble, getFloat, getInteger, getString, getValue, setActualString, setBlob, setClob, setDefaultString, setDescription, setId, setMandatory, setName, setString, setType, setValue, setVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.appng.api.model.Property

      `getBoolean, getDouble, getFloat, getInteger, getString`

    - ### Methods inherited from interface org.appng.core.domain.Auditable

      `getAuditName`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### PropertyImpl

          public PropertyImpl()

    - #### PropertyImpl

          public PropertyImpl(String name,
                              String value)

    - #### PropertyImpl

          public PropertyImpl(String name,
                              String value,
                              String defaultValue)

  - ### Method Detail

    - #### getName

          @NotNull(message="{validation.notNull}")
           @Size(min=3,
                max=255,
                message="{validation.string.min.max}")
          public @NotNull(message="{validation.notNull}") @Size(min=3,max=255,message="{validation.string.min.max}") String getName()

      Description copied from interface: `Property`
      Returns the name of this `Property`, as used in `Properties.getXXX(String)`.
      Specified by:
        `getName` in interface `Nameable`
      Specified by:
        `getName` in interface `Property`
      Overrides:
        `getName` in class `SimpleProperty`
      Returns:
        the name

    - #### isMandatory

          public boolean isMandatory()

      Specified by:
        `isMandatory` in interface `Property`
      Overrides:
        `isMandatory` in class `SimpleProperty`

    - #### getId

          public String getId()

      Description copied from interface: `Identifiable`
      Returns the id.
      Specified by:
        `getId` in interface `Identifiable<String>`
      Overrides:
        `getId` in class `SimpleProperty`
      Returns:
        the id

    - #### getVersion

          public Date getVersion()

      Description copied from interface: `Versionable`
      Returns the version.
      Specified by:
        `getVersion` in interface `Versionable<Date>`
      Overrides:
        `getVersion` in class `SimpleProperty`
      Returns:
        the version

    - #### getActualString

          public String getActualString()

      Overrides:
        `getActualString` in class `SimpleProperty`

    - #### getDefaultString

          public String getDefaultString()

      Description copied from interface: `Property`
      Returns the default `String`-value of this `Property`.
      Specified by:
        `getDefaultString` in interface `Property`
      Overrides:
        `getDefaultString` in class `SimpleProperty`
      Returns:
        the default `String`-value

    - #### getDescription

          public String getDescription()

      Description copied from interface: `Property`
      Returns the description of this `Property`.
      Specified by:
        `getDescription` in interface `Nameable`
      Specified by:
        `getDescription` in interface `Property`
      Overrides:
        `getDescription` in class `SimpleProperty`
      Returns:
        the description

    - #### getBlob

          public byte[] getBlob()

      Description copied from interface: `Property`
      If this `Property` contains BLOB data, this data is being returned.
      Specified by:
        `getBlob` in interface `Property`
      Overrides:
        `getBlob` in class `SimpleProperty`
      Returns:
        the BLOB data, (may be `null`)
      See Also:
        `Properties.getBlob(String)`

    - #### getClob

          public String getClob()

      Description copied from interface: `Property`
      If this `Property` contains CLOB data, this data is being returned.
      Specified by:
        `getClob` in interface `Property`
      Overrides:
        `getClob` in class `SimpleProperty`
      Returns:
        the CLOB data, (may be `null`)
      See Also:
        `Properties.getClob(String)`, `Properties.getClob(String, String)`

    - #### getType

          public Property.Type getType()

      Description copied from interface: `Property`
      Returns the type of this property
      Specified by:
        `getType` in interface `Property`
      Overrides:
        `getType` in class `SimpleProperty`
      Returns:
        the type

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.